Skip to main content
GET
List payments

Authorizations

X-API-Key
string
header
required

Company API key. Send in the X-API-Key header.

Headers

x-client-id
string
required

Client identifier for the company in the request.

Example:

"client_abc123"

Query Parameters

start_date
string<date>
Example:

"2026-01-01"

end_date
string<date>
Example:

"2026-12-31"

status
enum<string>
Available options:
pending,
approved,
failed,
refunded
gateway
string
Example:

"pagarme"

payment_method
enum<string>
Available options:
pix,
card,
billet
amount_from
integer
Example:

1000

amount_to
integer
Example:

50000

transaction_id
string
Example:

"abc123"

customer_email
string<email>
Example:

"customer@email.com"

customer_document
string
Example:

"12345678900"

card_brand
string
Example:

"visa"

card_last_4
string
Example:

"4242"

transaction_type
enum<string>
Available options:
payment,
withdraw
per_page
integer
Example:

15

page
integer
Example:

1

Response

Paginated list of payments

data
object[]
meta
object